<?php

/**
 * Copyright (c) 2016, BitKassa B.V.
 * All rights reserved. 
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met: 
 * 
 * - Redistributions of source code must retain the above copyright notice, 
 *    this list of conditions and the following disclaimer.
 * - Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH 
 * DAMAGE. 
 *
 * @category    BitKassa
 * @package     BitKassa_Bitcoin
 * @author      BitKassa (info@bitkassa.nl) / Mollie B.V. (info@mollie.nl)
 * @version     v1.0 (based on Mollie_Ideal v4.7)
 * @copyright   Copyright (c) 2012 Mollie B.V. (http://www.mollie.nl)
 * @license     http://www.opensource.org/licenses/bsd-license.php  Berkeley Software Distribution License (BSD-License 2)
 * 
 **/

// Heading
$_['heading_title']         = 'Bitcoin by BitKassa';

// Text 
$_['text_payment']          = "Payment";
$_['text_success']          = "Success: You have successfully modified your Bitcoin settings!";
$_['text_bitkassa_bitcoin'] = '<a onclick="window.open(\'https://www.bitkassa.nl\');"><img src="https://www.bitkassa.nl/img/BitKassa50.png" alt="Bitcoin by BitKassa" title="Bitcoin by BitKassa" style="border:0;margin-right:.4em" /></a>';

// Entry
$_['entry_status']          = "Status: <br/><span class='help'>Activate the module</span>";
//$_['entry_testmode']        = "Testmode: <br/><span class='help'>Set 'true' for testing purposes</span>";
$_['entry_merchantkey']     = "BitKassa merchant key: <br/><span class='help'>Your merchant key at BitKassa. For example 'johndoe/EsQj07Ydzb8Va1k&hellip;' This key will be used to register the payments and is issued when signing up with [<a target='new' href='https://www.bitkassa.nl/#contact'>BitKassa</a>]</span>";
$_['entry_description']     = "Description: <br/><span class='help'>This description will appear on the BitKassa payment screen. TIP: Use '%', this will be replaced by the order id of the payment. Don't forget % can be multiple characters long!</span>";
$_['entry_total']           = "Minimal order amount: <br/><span class='help'>Minimal amount before we show Bitcoin as payment method in your webshop (TYPE IN AS CENTS!)</span>";
$_['entry_sort_order']      = "Sort Order:";

// Info
$_['entry_module']          = "Module:";
$_['entry_status']          = "Module Status:";
$_['entry_version']         = "<a href='https://www.bitkassa.nl/' target='_blank'>BitKassa Bitcoin</a> version 0.2.2";
$_['entry_support']	    	= "Support:";

// Error
$_['error_permission']      = "Warning: You don't have permission to modify payment method Bitcoin!";
$_['error_merchantkey']     = "BitKassa merchant key is required!";
$_['error_description']     = "Description is required!";
$_['error_total']           = "Please enter a minimal amount. TIP: Use 150, because that is the minimum amount for a transaction.";

// Status
$_['entry_failed_status']    = 'Failed Status:';
$_['entry_cancelled_status'] = 'Cancelled Status:';
$_['entry_expired_status']   = 'Expired Status:';
$_['entry_pending_status']   = 'Pending Status:';
$_['entry_paid_status']      = 'Paid Status:';
$_['entry_confirmed_status'] = 'Confirmed Status:';
